OGRE: Ogre::CompositorManager::TextureDef Struct Reference - OGRE Documentation

Public Member Functions | Public Attributes

# Ogre::CompositorManager::TextureDef Struct Reference

List of all members.

## Public Member Functions
| TextureDef (size_t w, size_t h, PixelFormat f, uint aa, const String &aaHint, bool srgb)
## Public Attributes
size_t | width
size_t | height
PixelFormat | format
uint | fsaa
String | fsaaHint
bool | sRGBwrite

## Detailed Description

Definition at line 224 of file OgreCompositorManager.h.

## Constructor & Destructor Documentation

Ogre::CompositorManager::TextureDef::TextureDef | ( | size_t | w,
|  | size_t | h,
|  | PixelFormat | f,
|  | uint | aa,
|  | const String & | aaHint,
|  | bool | srgb |
| ) |  |  |

Definition at line 232 of file OgreCompositorManager.h.

## Member Data Documentation

PixelFormat Ogre::CompositorManager::TextureDef::format

Definition at line 227 of file OgreCompositorManager.h.

Referenced by Ogre::CompositorManager::TextureDefLess::operator()().

uint Ogre::CompositorManager::TextureDef::fsaa

Definition at line 228 of file OgreCompositorManager.h.

Referenced by Ogre::CompositorManager::TextureDefLess::operator()().

String Ogre::CompositorManager::TextureDef::fsaaHint

Definition at line 229 of file OgreCompositorManager.h.

Referenced by Ogre::CompositorManager::TextureDefLess::operator()().

size_t Ogre::CompositorManager::TextureDef::height

Definition at line 226 of file OgreCompositorManager.h.

Referenced by Ogre::CompositorManager::TextureDefLess::operator()().

bool Ogre::CompositorManager::TextureDef::sRGBwrite

Definition at line 230 of file OgreCompositorManager.h.

Referenced by Ogre::CompositorManager::TextureDefLess::operator()().

size_t Ogre::CompositorManager::TextureDef::width

Definition at line 226 of file OgreCompositorManager.h.

Referenced by Ogre::CompositorManager::TextureDefLess::operator()().

The documentation for this struct was generated from the following file:

- OgreCompositorManager.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:54